]> WPIA git - cassiopeia.git/commitdiff
upd: Cleanup the Debian package
authorFelix Dörre <felix@dogcraft.de>
Sun, 2 Nov 2014 00:39:30 +0000 (01:39 +0100)
committerBenny Baumann <BenBE@geshi.org>
Fri, 7 Nov 2014 22:53:05 +0000 (23:53 +0100)
debian/README.Debian [deleted file]
debian/cassiopeia.1 [new file with mode: 0644]
debian/cassiopeia.init [new file with mode: 0644]
debian/cassiopeia.manpages [new file with mode: 0644]
debian/control
debian/copyright
src/main.cpp

diff --git a/debian/README.Debian b/debian/README.Debian
deleted file mode 100644 (file)
index eace64d..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-cassiopeia for Debian
----------------------
-
-<possible notes regarding this package - if none, delete this file>
-
- -- CAcert Software Team <cacert-devel@cacert.org>  Tue, 04 Feb 2014 23:09:04 +0100
diff --git a/debian/cassiopeia.1 b/debian/cassiopeia.1
new file mode 100644 (file)
index 0000000..2d7465e
--- /dev/null
@@ -0,0 +1,16 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" (C) Copyright 2014 CAcert Software Team <software@cacert.org>,
+.\"
+.TH cassiopeia 1 "November 2, 2014"
+.SH NAME
+cassiopeia \- the CAcert.org signing software
+.SH SYNOPSIS
+.B cassiopeia
+.RI [options]
+.SH DESCRIPTION
+.B cassiopeia
+is the signing software that will be used to operate the CAcert.org system.
+.SH OPTIONS
+.TP
+.B --once
+Only wait for and then sign one certificate and exit instantly.
diff --git a/debian/cassiopeia.init b/debian/cassiopeia.init
new file mode 100644 (file)
index 0000000..6f27800
--- /dev/null
@@ -0,0 +1,170 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          cassiopeia
+# Required-Start:    $local_fs $network $remote_fs $syslog mysql
+# Required-Stop:     $local_fs $network $remote_fs $syslog mysql
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: <Enter a short description of the software>
+# Description:       <Enter a long description of the software>
+#                    <...>
+#                    <...>
+### END INIT INFO
+
+# Author: unknown <software@cacert.org>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="cacert's signer software"
+NAME=cassiopeia
+DAEMON=/usr/bin/cassiopeia
+DAEMON_ARGS=
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+DIR=/var/lib/cacert-gigi
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
+# and status_of_proc is working.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+       if [ ! -f /var/lib/cacert-gigi/config.txt ]; then
+               echo Missing cassiopeia-configfile
+                exit 2
+        fi
+       # Return
+       #   0 if daemon has been started
+       #   1 if daemon was already running
+       #   2 if daemon could not be started
+        start-stop-daemon -b --start --quiet --pidfile $PIDFILE -d $DIR --exec $DAEMON --test > /dev/null \
+               || return 1
+       start-stop-daemon -b --start --quiet --pidfile $PIDFILE --make-pidfile -d $DIR --exec $DAEMON --no-close -- \
+               >> /var/log/cassiopeia.log 2>&1 \
+               || return 2
+       # The above code will not work for interpreted scripts, use the next
+       # six lines below instead (Ref: #643337, start-stop-daemon(8) )
+       # start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON \
+       #       --name $NAME --test > /dev/null \
+       #       || return 1
+       # start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON \
+       #       --name $NAME -- $DAEMON_ARGS \
+       #       || return 2
+
+       # Add code here, if necessary, that waits for the process to be ready
+       # to handle requests from services started subsequently which depend
+       # on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+       # Return
+       #   0 if daemon has been stopped
+       #   1 if daemon was already stopped
+       #   2 if daemon could not be stopped
+       #   other if a failure occurred
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+       RETVAL="$?"
+       [ "$RETVAL" = 2 ] && return 2
+       # Wait for children to finish too if this is a daemon that forks
+       # and if the daemon is only ever run from this initscript.
+       # If the above conditions are not satisfied then add some other code
+       # that waits for the process to drop all resources that could be
+       # needed by services started subsequently.  A last resort is to
+       # sleep for some time.
+       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE
+       [ "$?" = 2 ] && return 2
+       # Many daemons don't delete their pidfiles when they exit.
+       rm -f $PIDFILE
+       return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+       #
+       # If the daemon can reload its configuration without
+       # restarting (for example, when it is sent a SIGHUP),
+       # then implement that here.
+       #
+       start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+       return 0
+}
+
+case "$1" in
+  start)
+       [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+       do_start
+       case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+       ;;
+  stop)
+       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+       ;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  #reload|force-reload)
+       #
+       # If do_reload() is not implemented then leave this commented out
+       # and leave 'force-reload' as an alias for 'restart'.
+       #
+       #log_daemon_msg "Reloading $DESC" "$NAME"
+       #do_reload
+       #log_end_msg $?
+       #;;
+  restart|force-reload)
+       #
+       # If the "reload" option is implemented then remove the
+       # 'force-reload' alias
+       #
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case "$?" in
+         0|1)
+               do_start
+               case "$?" in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+               ;;
+         *)
+               # Failed to stop
+               log_end_msg 1
+               ;;
+       esac
+       ;;
+  *)
+       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+       ;;
+esac
+:
diff --git a/debian/cassiopeia.manpages b/debian/cassiopeia.manpages
new file mode 100644 (file)
index 0000000..d7cbb59
--- /dev/null
@@ -0,0 +1 @@
+debian/cassiopeia.1
index cc91045dcb3d08225d0d7032ab262bb564c78d78..2b60c6a62739c8db9c05859887973e1303341352 100644 (file)
@@ -1,5 +1,5 @@
 Source: cassiopeia
-Section: unknown
+Section: utils
 Priority: extra
 Maintainer: CAcert Software Team <cacert-devel@cacert.org>
 Build-Depends: debhelper (>= 8.0.0), libtool, libmysqlclient-dev (>= 5.5), libssl-dev
@@ -12,9 +12,11 @@ Package: cassiopeia
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CAcert Certificate Signing Software
- This package provides the necessary tools to run a certificate signing instance on https://cacert.org
+ This package provides the necessary tools to run a
+ certificate signing instance on https://cacert.org
 
 Package: cassiopeia-doc
 Architecture: all
 Description: Documentation for the CAcert Certificate Signing Software
- This package provides the necessary tools to run a certificate signing instance on https://cacert.org
+ This package provides the necessary tools to run a
+ certificate signing instance on https://cacert.org
index c25872228b5eba9698434cf4e3d1934d730fa126..31b5a0f0ba67fb25783ffa5c5c736e8598b3ade3 100644 (file)
@@ -1,10 +1,9 @@
 Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: cassiopeia
-Source: <url://example.com>
+Source: <https://github.com/CAcertOrg/cacert-cassiopeia>
 
 Files: *
-Copyright: <years> <put author's name and email here>
-           <years> <likewise for another author>
+Copyright: 2014 CAcert Software Team <cacert-devel@cacert.org>
 License: GPL-2.0+
 
 Files: debian/*
@@ -27,8 +26,3 @@ License: GPL-2.0+
  .
  On Debian systems, the complete text of the GNU General
  Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
-
-# Please also look if there are files or directories which have a
-# different copyright/license attached and list them here.
-# Please avoid to pick license terms that are more restrictive than the
-# packaged work, as it may make Debian's contributions unacceptable upstream.
index 1fb8d83ab43a1063dc3dbe60106683ad18af882b..aed34a2d7cec5537ba95fae4ba8236a1a0561304 100644 (file)
@@ -1,21 +1,3 @@
-/*
-    Cassiopeia - CAcert signing module
-    Copyright (C) 2014  CAcert Inc.
-
-    This program is free software; you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation; either version 2 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License along
-    with this program; if not, write to the Free Software Foundation, Inc.,
-    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
 #include <sys/stat.h>
 #include <unistd.h>